#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int m[n][2];
    for(int i=0; i<n-1; i++)
    {
        for(int j=0; j<2; j++)
        {
            cin>>m[i][j];
        }
    }
    int br1=1;
    int pocetno=m[0][0];
    for(int i=1; i<n-1;i++)
    {
        if(m[i][0]==pocetno)br1++;
    }
    if(br1==n-1)cout<<2;
    int br2=1;
    int pocetno2=m[0][1];
    for(int i=1; i<n-1;i++)
    {
        if(m[i][1]==pocetno2)br2++;
    }
    if(br2==n-1)cout<<2;
    int a[2*n];
    int k=0;
    for(int i=0; i<n-1; i++)
    {
        for(int j=0; j<2; j++)
        {
            a[k]=m[i][j];
            k++;
        }
    }
    int br=0;
    for(int i=0; i<k-1; i++)
    {
        if(a[i]==a[i+1]+1||a[i]==a[i+1]-1)br++;
    }
    if(br==k/2)cout<<1;
    return 0;
}